/* 采购缴费 */
import request from '@/assets/js/utils/request'

// 撤回缴费
export function backFee(data) {
  return request({
    url: '/bidprocurement/fee/purchaseFeeController/backFee',
    method: 'post',
    data
  })
}

// 查看缴费信息
export function getFeeInfo(feeId) {
  return request({
    url: '/bidprocurement/fee/purchaseFeeController/getFeeInfo/' + feeId,
    method: 'get'
  })
}

// 根据项目ID查看缴费信息
export function getFeeInfoByPurchaseId(data) {
  return request({
    url: '/bidprocurement/fee/purchaseFeeController/getFeeInfoByPurchaseId',
    method: 'post',
    data
  })
}

// 获取费用列表
export function getFeeList(data) {
  return request({
    url: '/bidprocurement/fee/purchaseFeeController/getFeeList',
    method: 'post',
    data
  })
}

// 缴费/兼容补录
export function saveFee(data) {
  return request({
    url: '/bidprocurement/fee/purchaseFeeController/saveFee',
    method: 'post',
    data
  })
}

// 费用审核
export function updateAudiStatus(data) {
  return request({
    url: '/bidprocurement/fee/purchaseFeeController/updateAudiStatus',
    method: 'post',
    data
  })
}
